using System.Threading.Tasks;
using Microsoft.JSInterop;

public static class JSInteropExtensions
{
    public static ValueTask<bool> Confirm(this IJSRuntime jsRuntime, string message)
    {
        return jsRuntime.InvokeAsync<bool>("confirm", message);
    }

    public static ValueTask Alert(this IJSRuntime jsRuntime, string message)
    {
       return jsRuntime.InvokeVoidAsync("alert", message);
    }
}